#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Template
Summary:	Text::Template - expand template text with embedded Perl
Summary(pl.UTF-8):	Text::Template - przetwarzanie szablonów tekstowych przez wbudowany Perl
Name:		perl-Text-Template
Version:	1.46
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	912ce180e05d99a169f20aaf4fbf8b8f
URL:		http://search.cpan.org/dist/Text-Template/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library for generating form letters, building HTML pages,
or filling in templates generally.  A `template' is a piece of text
that has little Perl programs embedded in it here and there.  When you
`fill in' a template, you evaluate the little programs and replace
them with their values.

%description -l pl.UTF-8
To jest biblioteka do generowania listów z formularzy, budowania stron
HTML lub ogólnie wypełniania szablonów. Szablon (template) to kawałek
tekstu, który ma wbudowane gdzieniegdzie małe programy w Perlu. Przy
"wypełnianiu" szablonu te małe programy są wykonywane i zastępowane
zwracanymi przez nie wartościami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Text/Template.pm
%{perl_vendorlib}/Text/Template
%{_mandir}/man3/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-Template.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 67c022b
- up to 1.46

* Mon Jan 19 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 74f8f0d
- updated to 1.45

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e46241b
- release 2

* Sun Jun 03 2007 Jakub Bogusz <qboosh@pld-linux.org> db1a562
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d11bd29
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a174c10
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e3a756b
- formatting

* Mon May 03 2004 ankry <ankry@pld-linux.org> 9a3dacb
- tests added, license fixed, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 730109f
- cosmetics

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> b87f2aa
- updated to 1.44

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 06abdb9
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> a6fd333
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2c97fa5
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d5f286c
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Mar 01 2003 radek <radek@pld-linux.org> e6f3842
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> d5ff812
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> fbb9a0d
- massive attack: change CPAN URLs

* Wed Aug 28 2002 Jakub Bogusz <qboosh@pld-linux.org> abf4b06
- pl description, release++

* Sun Aug 11 2002 radek <radek@pld-linux.org> d5930b9
- release up

* Sun Aug 11 2002 radek <radek@pld-linux.org> 4add038
- (automatic) provided informative description

